%define name    kxdocker
%define version 1.1.4
%define release %mkrel 7
%define res_ver 1.1.0
%define Summary KXDocker is an innovative docker for KDE, it's very similar to Mac OSX Docker

%define major 0
%define libname_orig   lib%{name}
%define libname %mklibname %{name} %{major}

Summary:        %{Summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}

License:        GPL
Group:          Graphical desktop/KDE
Source0:        %{name}-%{version}a.tar.bz2

# resources
Source1:        http://www.xiaprojects.com/www/downloads/files/kxdocker/1.0.0/kxdocker-resources-%res_ver.tar.bz2

Url:            http://www.xiaprojects.com/www/prodotti/kxdocker/main.php
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kdelibs-devel
BuildRequires:  libxtst-devel 

%description
KXDocker is an innovative docker for KDE, it's very similar to Mac OSX Docker.

%pre
# Fix upgrade problem, now pillow is a symlink
if [ -d "/usr/share/apps/kxdocker/themes/pillow" ]; then
	rm -rf "/usr/share/apps/kxdocker/themes/pillow"
fi

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root,-)
%_bindir/kxdocker
%_menudir/*

%_datadir/applnk/Utilities/kxdocker.desktop

%dir %_datadir/apps/kxdocker/
%_datadir/apps/kxdocker/kxdocker_conf.xml
%_datadir/apps/kxdocker/kxdocker_conf_default.xml
%_datadir/apps/kxdocker/kxdockerui.rc

%dir %_docdir/HTML/en/kxdocker/
%doc %_docdir/HTML/en/kxdocker/common
%doc %_docdir/HTML/en/kxdocker/*.bz2
%doc %_docdir/HTML/en/kxdocker/*.docbook


%_datadir/icons/hicolor/128x128/apps/kxdocker.png
%_datadir/icons/hicolor/16x16/apps/kxdocker.png
%_datadir/icons/hicolor/22x22/apps/kxdocker.png
%_datadir/icons/hicolor/32x32/apps/kxdocker.png
%_datadir/icons/hicolor/48x48/apps/kxdocker.png
%_datadir/icons/hicolor/64x64/apps/kxdocker.png

%dir %_datadir/apps/kxdocker/
%_datadir/apps/kxdocker/kxdocker_resources-0.0.1
%_datadir/apps/kxdocker/kxdocker_resources-0.0.2
%_datadir/apps/kxdocker/kxdocker_resources-0.0.3
%_datadir/apps/kxdocker/kxdocker_resources-0.0.4
%_datadir/apps/kxdocker/kxdocker_resources-0.0.5
%_datadir/apps/kxdocker/kxdocker_resources-0.0.6
%_datadir/apps/kxdocker/kxdocker_resources-0.0.7
%_datadir/apps/kxdocker/kxdocker_resources-0.0.8
%_datadir/apps/kxdocker/kxdocker_resources-0.0.9
%_datadir/apps/kxdocker/kxdocker_resources-0.0.10
%_datadir/apps/kxdocker/kxdocker_resources-0.0.11
%_datadir/apps/kxdocker/kxdocker_resources-0.0.12
%_datadir/apps/kxdocker/kxdocker_resources-0.0.13
%_datadir/apps/kxdocker/kxdocker_resources-0.0.14
%_datadir/apps/kxdocker/kxdocker_resources-0.0.15
%_datadir/apps/kxdocker/kxdocker_resources-0.0.16

%dir %_datadir/apps/kxdocker/plugins/

%dir %_datadir/apps/kxdocker/plugins/gclock/
%_datadir/apps/kxdocker/plugins/gclock/*

%dir %_datadir/apps/kxdocker/plugins/gdate/
%_datadir/apps/kxdocker/plugins/gdate/*.png

%dir %_datadir/apps/kxdocker/sounds/
%_datadir/apps/kxdocker/sounds/*.wav

%dir %_datadir/apps/kxdocker/themes/
%dir %_datadir/apps/kxdocker/themes/arrows/
%dir %_datadir/apps/kxdocker/themes/arrows/top/
%_datadir/apps/kxdocker/themes/arrows/*.png
%_datadir/apps/kxdocker/themes/arrows/top/*.png

%dir %_datadir/apps/kxdocker/themes/bar/
%_datadir/apps/kxdocker/themes/bar/*

%dir %_datadir/apps/kxdocker/themes/icons/
%_datadir/apps/kxdocker/themes/icons/*.png

%_datadir/apps/kxdocker/themes/pillow

%dir %_datadir/apps/kxdocker/themes/trobblers/
%dir %_datadir/apps/kxdocker/themes/trobblers/circle_mac/
%_datadir/apps/kxdocker/themes/trobblers/circle_mac/*.png
%_datadir/apps/kxdocker/themes/trobblers/default

%dir %_datadir/apps/kxdocker/themes/poof/
%_datadir/apps/kxdocker/themes/poof/*.png

#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        Libraries needed by %{name}
Group:          System/Libraries
Provides:       %{libname_orig} = %{version}-%{release}

%description -n %{libname}
Libraries needed for %{name}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_libdir}/*.la
%dir %{_libdir}/kxdocker
%{_libdir}/kxdocker/*

#--------------------------------------------------------------------

%package -n     %{libname}-devel
Summary:        Development tools for %name
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       %{libname_orig}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the header files
needed for development with %{name}.

%files -n %{libname}-devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%{version}a -a 1

%build
%configure     --enable-debug=full \
%if "%{_lib}" != "lib"
               --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})"
%endif

make clean
make

%install
rm -rf %buildroot
%makeinstall

# Menu
install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "System" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/kxdocker.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

pushd kxdocker-resources-%res_ver
./configure
make DESTDIR=%buildroot install
popd

%find_lang %{name}

%clean
rm -rf %buildroot




%changelog
* Mon Apr 30 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.1.4-7mdv2008.0
+ Revision: 19698
- Updated kxdocker resources, closes #25524.

  + Mandriva <devel@mandriva.com>


* Wed Jan 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.1.4-6mdv2007.0
+ Revision: 109805
- Rebuild to get rid of wrong require on x86_64 (#22687)
- Reorganize file list
- Increase release
- Fix some rpmlint warnings
- Add BuildRequires
- import kxdocker-1.1.4-3mdv2007.0

* Fri Jun 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.4-1mdv2007.0
- Rebuild for missing package

* Sun May 21 2006 Laurent MONTEL <lmontel@mandriva.com> 1.1.4-2
- Rebuild

* Wed Apr 19 2006 Lenny Cartier <lenny@mandriva.com> 1.1.4-1mdk
- 1.1.4

* Fri Apr 07 2006 Lenny Cartier <lenny@mandriva.com> 1.1.2-1mdk
- 1.1.2

* Tue Mar 21 2006 Per yvind Karlsen <pkarlsen@mandriva.com> 1.1.1-1mdk
- 1.1.1

* Mon Mar 20 2006 Lenny Cartier <lenny@mandriva.com> 1.1.0-1mdk
- 1.1.0

* Wed Mar 01 2006 Per yvind Karlsen <pkarlsen@mandriva.com> 1.0.0a-1mdk
- 1.0.0a
- add library package
- reenable libtool
- drop debug stuff as rpm now automatically handles it
- disable parallell build as it seems to be broken now

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 0.39-2mdk
- fix x86_64 build

* Tue Oct 25 2005 Lenny Cartier <lenny@mandriva.com> 0.39-1mdk
- 0.39

* Tue Sep 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.38-1mdk
- New release 0.38
- %%{1}mdv2007.1- change url

* Tue Jul 05 2005 Lenny Cartier <lenny@mandriva.com> 0.35-1mdk
- 0.35

* Fri Jun 03 2005 Lenny Cartier <lenny@mandriva.com> 0.33-1mdk
- 0.33

* Tue May 03 2005 Laurent MONTEL <lmontel@mandriva.com> 0.31-1mdk
- 0.31

* Tue Apr 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.30-1mdk
- 0.30

* Fri Feb 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.28-1mdk
- 0.28

* Mon Jan 17 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.26-1mdk
- 0.26

* Mon Jan 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.25-0.fix3.1mdk
- 0.25 fix3

* Thu Dec 23 2004 Michael Scherer <misc@mandrake.org> 0.24-4mdk
- Add summary

* Thu Dec 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.24-3mdk
- Add debug

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.24-2mdk
- Add theme

* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.24-1mdk
- Initial package

